{# templates/login/index.html.twig #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/login.css') }}">
{% endblock %}

{% block body %}

    <div class="container">
        <form action="{{ path('app_forgotten') }}" method="post">
            <div class="form_row">
                <label for="username">Email : </label>
                <input type="text" id="username" name="_username" value="{{ mail }}">
            </div>

            <div class="centered">

                <div>
                    <button class="btn_link" type="submit">Réinitialiser mon mot de passe</button>
                </div>
            </div>
            {% if random %}
            <p>Votre nouveau mot de passe est : {{ random }}</p>
            <p>Veillez à le noter pour ne pas l'oublier, et à le changer lors de votre prochaine connexion !</p>
            {% endif %}
        </form>
    </div>
{% endblock %}